Bug 470906 - Dead usb ports in 2.6.26
Dead usb ports in 2.6.26
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 15:26 EST by shaned
Modified: 2009-07-14 10:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shaned 2008-11-10 15:26:41 EST
Description of problem:

USB does not work.  Mouse, keyboard, or memory stick.


Version-Release number of selected component (if applicable):

2.6.26.6-97, but really, all 2.6.26 kernels have this problem I've seen.


How reproducible:

Without pci=routeirq, it is always reproducible from a warm-boot or cold-boot.


Steps to Reproduce:
1. Do not supply pci=routeirq option to the 2.6.26 kernel boot options.

  
Actual results:


Expected results:


Additional info:

NOTE: When I first supplied the pci=routeirq option, the 2.6.26 brought up the USB ports.  I warm-booted the 2.6.26 kernel without the option, and the USB ports still worked.  I power-cycled the system and loaded 2.6.26 without the routeirq option.  As expected, USB didn't work.  However, I warm-booted 2.6.26 with the routeirq option and USB still didn't work.  Not expected behavior.

Here's a listing from /log/messages for 2.6.26 with working USB:

Nov 10 10:23:45 millennium kernel: PCI: Using ACPI for IRQ routing
Nov 10 10:23:45 millennium kernel: PCI: Routing PCI interrupts for all devices because "pci=routeirq" specified
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:00:07.2[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:00:07.5[B] -> GSI 17 (level, low) -> IRQ 17
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:01:00.0[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:01:00.1[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:01:03.0[A] -> GSI 18 (level, low) -> IRQ 18
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:01:03.1[B] -> GSI 19 (level, low) -> IRQ 19
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:01:03.2[C] -> GSI 16 (level, low) -> IRQ 16
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:03:02.0[A] -> GSI 28 (level, low) -> IRQ 28
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:09:00.0[A] -> GSI 16 (level, low) -> IRQ 16
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:13:04.0[A] -> GSI 39 (level, low) -> IRQ 39
Nov 10 10:23:45 millennium kernel: ACPI: PCI Interrupt 0000:13:04.1[B] -> GSI 38 (level, low) -> IRQ 38


And here is an intriguing /log/messages list for 2.6.26 with dead USB.  I would point out the difference between the 0000:01:03.[0-2] entries in the previous list and the single 0000:01:04.0 entry in the following list.


Nov 10 14:02:08 millennium kernel: PCI: Using ACPI for IRQ routing
Nov 10 14:02:08 millennium kernel: PCI: Routing PCI interrupts for all devices because "pci=routeirq" specified
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:00:07.2[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:00:07.5[B] -> GSI 17 (level, low) -> IRQ 17
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:01:00.0[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:01:00.1[D] -> GSI 19 (level, low) -> IRQ 19
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 19 (level, low) -> IRQ 19
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:03:02.0[A] -> GSI 28 (level, low) -> IRQ 28
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:09:00.0[A] -> GSI 16 (level, low) -> IRQ 16
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:13:04.0[A] -> GSI 39 (level, low) -> IRQ 39
Nov 10 14:02:08 millennium kernel: ACPI: PCI Interrupt 0000:13:04.1[B] -> GSI 38 (level, low) -> IRQ 38


Below is lspci -v for the 0000:01:03.[0-2] PCI entries. Note that these were acquired from the 2.6.26 kernel when USB was working.  I didn't get the one for 0000:01:04.0, but it wouldn't be hard to recreate.

01:03.0 USB Controller: NEC Corporation USB (rev 43) (prog-if 10 [OHCI])
	Subsystem: Sun Microsystems Computer Corp. Unknown device 534d
	Flags: bus master, medium devsel, latency 64, IRQ 18
	Memory at e0120000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 2
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

01:03.1 USB Controller: NEC Corporation USB (rev 43) (prog-if 10 [OHCI])
	Subsystem: Sun Microsystems Computer Corp. Unknown device 534d
	Flags: bus master, medium devsel, latency 64, IRQ 19
	Memory at e0130000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 2
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

01:03.2 USB Controller: NEC Corporation USB 2.0 (rev 04) (prog-if 20 [EHCI])
	Subsystem: Sun Microsystems Computer Corp. Unknown device 534d
	Flags: bus master, medium devsel, latency 132, IRQ 16
	Memory at e0140000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [40] Power Management version 2
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd


Finally, here's lsusb for the 2.6.26 kernel with working USB ports:

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 0430:0100 Sun Microsystems, Inc. 3-button Mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0430:0005 Sun Microsystems, Inc. Type 6 Keyboard
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

And lsusb for the 2.6.26 kernel with dead USB ports:

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Comment 1 Bug Zapper 2009-06-09 23:14:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:25:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.